COPYSIGN(3)

NAME
copysign, copysignf, copysignl - copy sign

SYNOPSIS
libm
#include <math.h>
double
copysign(double x, double y);
float
copysignf(float x, float y);
long double
copysignl(long double x, long double y);

DESCRIPTION
copysign() returns x with its sign changed to y's. The copysignf() function is a single precision version of copysign(). The copysignl() function is an extended precision version of copysign().

SEE ALSO
fabs(3)

STANDARDS
ieee754

HISTORY
The copysign, copysignf and copysignl functions appeared in 4.3BSD, NetBSD 1.1 and OpenBSD 4.5, respectively.